// 秒寻科技
// 基于wifi基站路由
// zt
// 2023-04-25

#ifndef __ROUTE_WIFI_H__
#define __ROUTE_WIFI_H__

#include "../../sysdefine/sysdef.h"

// 外部接口
uint8 route_wifi_route(ROUTE_WIFI_BTS_T *pstWifiBtsList, uint8 byBtsNum, BTS_INSTALL_BTS_LIST_T *pstInstallBtsList, BTS_INSTALL_BTS_T *pstMainBts);

// 内部接口
void route_wifi_bts_sort(ROUTE_WIFI_BTS_T *pstWifiBtsList, uint8 byBtsNum);
uint8 route_wifi_find_wifi_bts_from_install_bts(ROUTE_WIFI_BTS_T *pstWifiBtsList, uint8 byBtsNum, BTS_INSTALL_BTS_LIST_T *pstInstallBtsList, BTS_INSTALL_BTS_T *pstInstallBtsData);

#endif